Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233906 - pm-utils: unowned directories
Summary: pm-utils: unowned directories
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pm-utils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
: 239600 (view as bug list)
Depends On:
Blocks: 226302
TreeView+ depends on / blocked
 
Reported: 2007-03-25 18:11 UTC by Michael Schwendt
Modified: 2015-03-05 01:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-30 16:53:26 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2007-03-25 18:11:39 UTC
=> pm-utils - 0.99.2-1.fc7.i386
/etc/pm
/usr/lib/pm-utils
/usr/lib/pm-utils/bin
/usr/lib/pm-utils/sleep.d
/usr/lib/pm-utils/power.d

Comment 1 Till Maas 2007-07-04 22:37:14 UTC
*** Bug 239600 has been marked as a duplicate of this bug. ***

Comment 2 Till Maas 2007-08-30 15:54:18 UTC
committed to cvs for devel

Comment 3 Michael Schwendt 2007-08-30 16:29:18 UTC
You must not own /usr/lib, but /usr/lib/pm-utils

With %dir %{_exec_prefix}/lib/pm-utils/
or by including the directory recursively:

--- pm-utils.spec.~1.70.~       2007-08-30 17:53:43.000000000 +0200
+++ pm-utils.spec       2007-08-30 18:30:00.000000000 +0200
@@ -144,12 +144,7 @@
 %{_sysconfdir}/pm/
 %{_sysconfdir}/security/console.apps/*
 %{_sysconfdir}/pam.d/*
-%dir %{_exec_prefix}/lib/
-%{_exec_prefix}/lib/pm-utils/bin/*
-%{_exec_prefix}/lib/pm-utils/defaults
-%{_exec_prefix}/lib/pm-utils/functions
-%{_exec_prefix}/lib/pm-utils/power.d/*
-%{_exec_prefix}/lib/pm-utils/sleep.d/*
+%{_exec_prefix}/lib/pm-utils/
 %{_bindir}/*
 %{_sbindir}/pm-hibernate
 %{_sbindir}/pm-powersave


Comment 4 Michael Schwendt 2007-08-30 16:32:26 UTC
And, of course, all these directories are unowned:

/etc/pm
/usr/lib/pm-utils
/usr/lib/pm-utils/bin
/usr/lib/pm-utils/sleep.d
/usr/lib/pm-utils/power.d

So, above patch plus

%dir %{_sysconfdir}/pm

are the full fix. Without the patch you would need:

%dir /etc/pm
%dir /usr/lib/pm-utils
%dir /usr/lib/pm-utils/bin
%dir /usr/lib/pm-utils/sleep.d
%dir /usr/lib/pm-utils/power.d

Query "rpm -qlvp pm-utils*.i386.rpm" and check the directory entries.


Comment 5 Till Maas 2007-08-30 16:53:26 UTC
(In reply to comment #3)
> You must not own /usr/lib, but /usr/lib/pm-utils

oh, yes, I somehow forgot to add pm-utils in the regarding line. I now commited
changes to cvs that should be correct.

$ rpm -qlvp pm-utils-0.99.3-12.fc8.i386.rpm  | egrep  ^d
drwxr-xr-x    2 root    root                0 Aug 30 18:41 /etc/pm
drwxr-xr-x    2 root    root                0 Aug 30 18:41 /etc/pm/config.d
drwxr-xr-x    2 root    root                0 Aug 30 18:41 /etc/pm/power.d
drwxr-xr-x    2 root    root                0 Aug 30 18:41 /etc/pm/sleep.d
drwxr-xr-x    2 root    root                0 Aug 30 18:41 /usr/lib/pm-utils
drwxr-xr-x    2 root    root                0 Aug 30 18:42 /usr/lib/pm-utils/bin
drwxr-xr-x    2 root    root                0 Aug 30 18:41 /usr/lib/pm-utils/power.d
drwxr-xr-x    2 root    root                0 Aug 30 18:41 /usr/lib/pm-utils/sleep.d



Comment 6 Michael Schwendt 2007-08-30 18:12:33 UTC
> %dir %{_exec_prefix}/lib/pm-utils/
> %{_exec_prefix}/lib/pm-utils/bin/
> %{_exec_prefix}/lib/pm-utils/defaults
> %{_exec_prefix}/lib/pm-utils/functions
> %{_exec_prefix}/lib/pm-utils/power.d/
> %{_exec_prefix}/lib/pm-utils/sleep.d/

Well, if the package ever wanted to put files directly into
%{_exec_prefix}/lib/pm-utils/ you would need to rewrite above
lines again.


Comment 7 Till Maas 2007-08-30 19:20:55 UTC
(In reply to comment #6)

> Well, if the package ever wanted to put files directly into
> %{_exec_prefix}/lib/pm-utils/ you would need to rewrite above
> lines again.

I only have to add them, e.g.  

> %{_exec_prefix}/lib/pm-utils/defaults
> %{_exec_prefix}/lib/pm-utils/functions

are already files.


Note You need to log in before you can comment on or make changes to this bug.